Jump to content
  • Checkout
  • Login
  • Get in touch

osCommerce

The e-commerce.

MySQL 1064


Guest

Recommended Posts

Banner Manager

1064 - You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '-12, 12' at line 1

 

select banners_id, banners_title, banners_image, banners_group, status, expires_date, expires_impressions, date_status_change, date_scheduled, date_added from banners order by banners_title, banners_group limit -12, 12

 

[TEP STOP]

 

Any Suggestions?

Link to comment
Share on other sites

 

 

Thanks.... I have started looking into doing that... We just migrated 2 stores to new servers and new mysql versions... my one store has the latest version of ocs but the other is an older one... that is where the error is coming from... I am just a little shy about upgrading the older versions...

 

Thanks again...

 

Jeff

Link to comment
Share on other sites

One other thing... I was thinking that Store B was on Version 2.2 and Store A was on a older version... I brought up the versions in the application_top.php for both the stores and they both have 2.2

 

// define the project version

define('PROJECT_VERSION', 'osCommerce 2.2-MS2');

 

 

Why would my domain.com/admin/ pages appear different... and as far as the Error listed above this brings that up again... my Banner Manager works perfectly on Store B but not on store A...

 

Thoughts...

Link to comment
Share on other sites

well you could upgrade your stores or stay with the errors. If you need a detailed explanation for each one check the documentation of the latest update.

Link to comment
Share on other sites

well you could upgrade your stores or stay with the errors. If you need a detailed explanation for each one check the documentation of the latest update.

 

 

So the fact that it's showing ver 2.2 really doesn't mean it's been upgraded correct?...

 

Forgive the newb questions... been doing this about 3 weeks now...

Link to comment
Share on other sites

unfortunately that version line is meaningless between the various ms2.2 updates as they never changed it. Compare your catalog\includes\functions\sessions.php file with the one of the latest version to see if you have the update. But if you did you wouldn't see the error.

Link to comment
Share on other sites

Archived

This topic is now archived and is closed to further replies.

×
×
  • Create New...